Synergy

Synergy

View Stats:
Synergy > General Discussion > Topic Details
Tasteful Pasta Jan 3, 2015 @ 12:04pm
Half-Life 2 ep1 required to play ep2 levels?
I bought ep2 to play synergy with my with my friend but when I tried to connect to the server it told me i needed ep1? The map was an ep2 map. Do I need to buy ep1?
< >
Showing 1-13 of 13 comments
[VG] Fraankk Jan 3, 2015 @ 1:36pm 
EP1 Is not needed to play EP2 Campaign, just activate the game at the main menu
Tasteful Pasta Jan 3, 2015 @ 1:38pm 
Originally posted by Vinz15:
EP1 Is not needed to play EP2 Campaign, just activate the game at the main menu
I did mount ep2 but when I launch a server or try to join a server it say it requires hl2, ep1, and ep2
Last edited by Tasteful Pasta; Jan 3, 2015 @ 1:39pm
KillerB -=THC=- Jan 3, 2015 @ 1:49pm 
Depends on the map your trying to load, if the maps include file (<mapname>.inc) contains ep1 then it uses ep1 resources and will require ep1. Try loading a different map in your server launch parameters or connecting to a server running a different map, one that the .inc file doesn't specify needing ep1, or edit the .inc file to remove ep1 if it contains it. If it does require ep1 any ep1 files it needs simply wont be in the game, they'll show up as either ERROR for missing models or a checkerboard for missing textures. If there is no .inc file for the map create one containing just:
hl2 ep2
and try that. What map was it that you were trying to load?
Last edited by KillerB -=THC=-; Jan 3, 2015 @ 1:55pm
Tasteful Pasta Jan 3, 2015 @ 2:02pm 
Originally posted by KillerB -=THC=-:
Depends on the map your trying to load, if the maps include file (<mapname>.inc) contains ep1 then it uses ep1 resources and will require ep1. Try loading a different map in your server launch parameters or connecting to a server running a different map, one that the .inc file doesn't specify needing ep1.
I'm playing the ep2 campaign on a server I create. I get an Engine Error that says "LevelInit() failed to load map ep2_ountland_11b, missing game: ep1 Please enable the game mount, if available
KillerB -=THC=- Jan 3, 2015 @ 3:08pm 
try creating the file ep2_outland_11b.inc (with notepad) and placing it in your synergy/maps folder, edit the file so it contains only the following on one line:

hl2 ep2

see if that works

I dont see where there is a .inc file for it in any of the related vpk files so not sure where/why it thinks it needs ep1. the new inc file you put in your synergy/maps folder should override others if they do exist, i believe.
Tasteful Pasta Jan 4, 2015 @ 1:41pm 
Originally posted by KillerB -=THC=-:
try creating the file ep2_outland_11b.inc (with notepad) and placing it in your synergy/maps folder, edit the file so it contains only the following on one line:

hl2 ep2

see if that works

I dont see where there is a .inc file for it in any of the related vpk files so not sure where/why it thinks it needs ep1. the new inc file you put in your synergy/maps folder should override others if they do exist, i believe.
It worked but I got a few pink checkerboard textures and a few red errors but I can still play.
KillerB -=THC=- Jan 4, 2015 @ 1:53pm 
Glad it worked, as mentioned above error is missing model, checkers are missing textures.
Very weird, I found nothing that indicates ep2 needs ep1 at all but it must use a few items from the ep1 resources.
Tasteful Pasta Jan 4, 2015 @ 1:56pm 
Originally posted by KillerB -=THC=-:
Glad it worked, as mentioned above error is missing model, checkers are missing textures.
Very weird, I found nothing that indicates ep2 needs ep1 at all but it must use a few items from the ep1 resources.
It did download some of the episodic folder in hl2's dir.
Krazy Kasrkin  [developer] Jan 5, 2015 @ 4:51pm 
I plan on removing the requirement. As you've found ep2 does rely on some ep1 content.
Tasteful Pasta Jan 8, 2015 @ 1:09pm 
Originally posted by Krazy Kasrkin:
I plan on removing the requirement. As you've found ep2 does rely on some ep1 content.
Thanks
Hedy May 8, 2016 @ 4:03pm 
Originally posted by Krazy Kasrkin:
I plan on removing the requirement. As you've found ep2 does rely on some ep1 content.
It would be awesome if you did that. <3 nice work on the mod btw.
Clony Sep 7 @ 11:15pm 
Originally posted by Krazy Kasrkin:
I plan on removing the requirement. As you've found ep2 does rely on some ep1 content.
so how much till you do that?
Krazy Kasrkin  [developer] Sep 10 @ 11:44am 
Originally posted by Barn Advisor:
so how much till you do that?

I believe I have done this in the development branch some time ago using a Steam account that only has hl2 and ep2. If you want, you can check that for me and confirm that ep1 is no longer a requirement to play ep2 in Synergy in that branch.

The development branch is available from right clicking Synergy in Steam, clicking Properties, then going to the Betas tab and select the development branch.
< >
Showing 1-13 of 13 comments
Per page: 15 30 50

Synergy > General Discussion > Topic Details